- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_gridfs_file_t

# mongoc_gridfs_file_set_md5()

## Synopsis

    void
    mongoc_gridfs_file_set_md5 (mongoc_gridfs_file_t *file, const char *md5);

## Parameters

- `file`: A mongoc_gridfs_file_t.
- `str`: A string containing the MD5 of the file.

## Description

Sets the MD5 checksum for `file`.

You need to call mongoc_gridfs_file_save() to persist this change.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.